%ifarch %{arm}
%define build_docs     0
%else
%define build_docs     1
%endif

%define qtmajor 5
%define qtminor 15
%define qtsubminor 2

%define rel 1

%define qtversion      %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtcharts    %mklibname qt5charts %{qtmajor}
%define libqtcharts_d  %mklibname qt5charts -d

%define qttarballdir   qtcharts-everywhere-src-%{qtversion}

Name:           qtcharts5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Charts component
License:        GPLv3
Group:          Development/KDE and Qt
Url:            https://www.qt.io/
Source0:        http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz

BuildRequires:  pkgconfig(Qt5Core) >= %{version}
BuildRequires:  pkgconfig(Qt5Gui) >= %{version}
BuildRequires:  pkgconfig(Qt5Qml) >= %{version}
BuildRequires:  pkgconfig(Qt5Quick) >= %{version}
BuildRequires:  pkgconfig(Qt5Widgets) >= %{version}

%description
Qt%{qtmajor} Charts module provides a set of easy to use chart components.
It uses the Qt Graphics View Framework, therefore charts can be easily
integrated to modern user interfaces. Qt Charts can be used as QWidgets,
QGraphicsWidget, or QML types. Users can easily create impressive graphs
by selecting one of the charts themes.

%files
%license LICENSE.GPL3
%{_qt5_qml}/QtCharts/

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtCharts%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtCharts%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtcharts.qch
%{_qt5_docdir}/qtcharts/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtcharts}
Summary:        Qt%{qtmajor} Charts Component Library
Group:          System/Libraries
Requires:       %{name} = %{version}

%description -n %{libqtcharts}
Qt%{qtmajor} Charts Component Library.

%files -n %{libqtcharts}
%{_qt5_libdir}/libQt5Charts.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtcharts_d}
Summary:        Devel files needed to build apps based on QtCharts
Group:          Development/KDE and Qt
Requires:       %{libqtcharts} = %{version}
Provides:       libqtcharts5-devel = %{version}
Provides:       libqt5charts-devel = %{version}
Provides:       qtcharts5-devel = %{version}
Provides:       qt5charts-devel = %{version}

%description -n %{libqtcharts_d}
Devel files needed to build apps based on Qt Charts.

%files -n %{libqtcharts_d}
%{_qt5_includedir}/QtCharts/
%{_qt5_libdir}/libQt5Charts.so
%{_qt5_libdir}/pkgconfig/Qt5Charts.pc
%{_qt5_libdir}/cmake/Qt5Charts/
%{_qt5_libdir}/*.prl
%{_qt5_archdatadir}/mkspecs/modules/*.pri
%{_qt5_examplesdir}/charts/

#------------------------------------------------------------------------------

%prep
%setup -q -n qtcharts-everywhere-src-%{qtversion}

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la files, die, die, die.
find %{buildroot} -name '*.la' -delete


%changelog
* Fri Dec 04 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652447
- New version 5.15.2

* Sat Sep 12 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1624900
- New version 5.15.1

* Wed Jun 03 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1589807
- New version 5.15.0

* Thu Feb 20 2020 umeabot <umeabot> 5.14.1-2.mga8
+ Revision: 1545484
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 daviddavid <daviddavid> 5.14.1-1.mga8
+ Revision: 1484388
- New version 5.14.1

* Sun Sep 08 2019 neoclust <neoclust> 5.13.1-1.mga8
+ Revision: 1438478
- New version 5.13.1

* Sun Jul 14 2019 neoclust <neoclust> 5.13.0-2.mga8
+ Revision: 1421140
- Rebuild for new mkspecs macros

* Thu Jul 04 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1418150
- New version 5.13.0

* Mon Apr 01 2019 umeabot <umeabot> 5.12.2-2.mga7
+ Revision: 1384350
- Qt5 Rebuild

* Mon Mar 18 2019 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1378528
- New version 5.12.2

* Fri Feb 01 2019 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1362273
- New version 5.12.1

* Sun Dec 09 2018 neoclust <neoclust> 5.12.0-1.mga7
+ Revision: 1339128
- New version 5.12.0

* Tue Oct 09 2018 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1319017
- New version 5.11.2

* Sun Sep 23 2018 umeabot <umeabot> 5.11.1-2.mga7
+ Revision: 1300695
- Mageia 7 Mass Rebuild

* Sun Jul 29 2018 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1245804
- New version 5.11.1

* Fri May 25 2018 neoclust <neoclust> 5.11.0-1.mga7
+ Revision: 1232103
- New version 5.11.0

* Mon Apr 09 2018 neoclust <neoclust> 5.10.1-1.mga7
+ Revision: 1216498
- New version 5.10.1

* Thu Mar 01 2018 neoclust <neoclust> 5.9.4-1.mga7
+ Revision: 1205848
- New version 5.9.4

* Wed Dec 27 2017 neoclust <neoclust> 5.9.3-1.mga7
+ Revision: 1185553
- New version 5.9.3

* Thu Aug 10 2017 daviddavid <daviddavid> 5.9.1-1.mga7
+ Revision: 1139475
- initial package qtcharts5

